LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
XTempFile Interface Reference

This interface offers access to temp files. More...

`import"XTempFile.idl";`

Inheritance diagram for XTempFile:

## Exported Interfaces
interface | XStream
| interface XStream offers read and write access to the same stream. More...
interface | XSeekable
| interface XSeekable makes it possible to seek to a certain position within a stream. More...

## Public Attributes
boolean | RemoveFile
| This attribute controls whether the file will be automatically removed on object destruction. More...
string | Uri
| This attribute specifies the URL of the temp file. More...
string | ResourceName
| This attribute specifies the temp file name. More...

## Additional Inherited Members
Public Member Functions inherited from XStream
XInputStream | getInputStream ()
XOutputStream | getOutputStream ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XSeekable
void | seek ([in] hyper location) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::io::IOException )
| changes the seek pointer to a new location relative to the beginning of the stream. More...
hyper | getPosition () raises ( com::sun::star::io::IOException )
| returns the current offset of the stream. More...
hyper | getLength () raises ( com::sun::star::io::IOException )
| returns the length of the stream. More...

## Detailed Description

This interface offers access to temp files.

## Exported Interfaces

## ◆ XSeekable

interface XSeekable

interface XSeekable makes it possible to seek to a certain position within a stream.

## ◆ XStream

interface XStream

interface XStream offers read and write access to the same stream.

## Member Data Documentation

## ◆ RemoveFile

boolean RemoveFile
| attribute

This attribute controls whether the file will be automatically removed on object destruction.

## ◆ ResourceName

string ResourceName
| attribute readonly

This attribute specifies the temp file name.

## ◆ Uri

string Uri
| attribute readonly

This attribute specifies the URL of the temp file.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XTempFile.idl